package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SocialSecurity;
import com.lightinit.hsdatashow.entity.SocialSecurityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SocialSecurityMapper {
    long countByExample(SocialSecurityExample example);

    int deleteByExample(SocialSecurityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SocialSecurity record);

    int insertSelective(SocialSecurity record);

    List<SocialSecurity> selectByExample(SocialSecurityExample example);

    SocialSecurity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SocialSecurity record, @Param("example") SocialSecurityExample example);

    int updateByExample(@Param("record") SocialSecurity record, @Param("example") SocialSecurityExample example);

    int updateByPrimaryKeySelective(SocialSecurity record);

    int updateByPrimaryKey(SocialSecurity record);

    List<SocialSecurity> selectList();
}